#!/usr/bin/perl -w

#======================================================#
#--- This Perl script automatically alters start    ---#
#--- and end dates in a input.geos file             ---#
#--- Called via:                                    ---#    
#set_inputfile $template $start_date $end_date $timing $vegtype
#---                                                ---#
#======================================================#

#------------------------------------------------#
#--- Read in template file, years and months                 
#------------------------------------------------#
$template   = shift || "";
$start_date = shift || "";
$end_date   = shift || "";
$timing     = shift || "";
$vegtype    = shift || "";
 if ($template eq "" || $vegtype eq "" || 
     $start_date eq "" || $end_date eq "" ||
     $timing eq "" ){
   print "required input field is empty\n";
   exit 0;
 }

#------------------------------------------------#
#--- Read in template file, change date,
#--- write new file
#------------------------------------------------#
open (IN, "<$template");
chomp(@lines = <IN>);
close (IN);
$outfile = $template;
$outfile =~ s/-template//g;
#print "$outfile\n";
open (OUT, ">$outfile");


for (@lines){
  if ($_ =~ /^start_date/){
    print OUT "start_date     = '$start_date',\n";
  }
  elsif ($_ =~ /^end_date/){
    print OUT "end_date       = '$end_date',\n";
  }
  elsif ($_ =~ /^output_timing/){
    print OUT "output_timing  = '$timing',\n";
  }
  elsif ($_ =~ /^vegtype/){
    print OUT "vegtype        = '$vegtype'\n";
  }
  else{
    print OUT "$_\n";
  }
}

close (OUT);
